Subject: Re: [PATCH GSOC] diff: use conventional comparison order

From: Junio C Hamano <[email-masked]>
Date: Sat, 14 Mar 2026 05:27:36 -0700

Tian Yuchen <[email-masked]> writes:
> However, in builtin/add.c before the patch, there isn't even a single 
> “>” symbol used for comparison. The “<” symbol is used throughout the 
> comparison sections.

Look a bit harder.  I think there is one comparison that uses a
comparison that does not follow "textual order reflects actual
order" convention.

	while (--i >= 0) {

> I find it quite strange because the author says:
>
>> to follow the common coding style
>
> This patch seems more like it breaks the common coding style.

To somebody who does not know both conventions and understand that
both are valid, the only one that is familiar to the person would be
the only common one.